PocketWordParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PocketWordParserInternal::State Struct Reference

the state of PocketWord More...

## Public Member Functions
| State (libwps_tools_win::Font::Type encoding)
| constructor
WPSEntry | getEntry (int id, int &type) const
| returns an entry corresponding to a file identificator
bool | getColor (int id, WPSColor &col) const
| try to retrieve a color

## Public Attributes
long | m_eof
| the last file position
int | m_version
| the file version
libwps_tools_win::Font::Type | m_encoding
| the file encoding
bool | m_badFile
| some file does not respect the unique indice conditions, ...
std::vector< std::pair< int, WPSEntry > > | m_typeEntryList
| the list of type, entry
std::map< int, size_t > | m_idToEntryMap
| the file id to (type, entry) index
std::map< int, std::vector< size_t > > | m_typeToEntryMap
| a type to a list of (type,entry) indices
WPSPageSpan | m_pageSpan
| the page span
std::map< int, librevenge::RVNGString > | m_idToFontNameMap
| the correspondance between index and font name

## Detailed Description

the state of PocketWord

## Constructor & Destructor Documentation

## ◆ State()

PocketWordParserInternal::State::State | ( | libwps_tools_win::Font::Type | encoding | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getColor()

bool PocketWordParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | col ) const
| inline

try to retrieve a color

## ◆ getEntry()

WPSEntry PocketWordParserInternal::State::getEntry | ( | int | id,
|  | int & | type ) const
| inline

returns an entry corresponding to a file identificator

## Member Data Documentation

## ◆ m_badFile

bool PocketWordParserInternal::State::m_badFile

some file does not respect the unique indice conditions, ...

Referenced by State().

## ◆ m_encoding

libwps_tools_win::Font::Type PocketWordParserInternal::State::m_encoding

the file encoding

Referenced by State().

## ◆ m_eof

long PocketWordParserInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_idToEntryMap

std::map<int, size_t > PocketWordParserInternal::State::m_idToEntryMap

the file id to (type, entry) index

Referenced by getEntry(), and State().

## ◆ m_idToFontNameMap

std::map<int, librevenge::RVNGString> PocketWordParserInternal::State::m_idToFontNameMap

the correspondance between index and font name

Referenced by State().

## ◆ m_pageSpan

WPSPageSpan PocketWordParserInternal::State::m_pageSpan

the page span

Referenced by State().

## ◆ m_typeEntryList

std::vector<std::pair<int, WPSEntry> > PocketWordParserInternal::State::m_typeEntryList

the list of type, entry

Referenced by getEntry(), and State().

## ◆ m_typeToEntryMap

std::map<int, std::vector<size_t> > PocketWordParserInternal::State::m_typeToEntryMap

a type to a list of (type,entry) indices

Referenced by State().

## ◆ m_version

int PocketWordParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- PocketWord.cpp